My Tax Software says I needMAC OS 10.14 or later. Were and how do I access iOS updates and install??

Created at: 2021-05-28 13:06:10
Questioner General

My Tax Software says it needs Mac OS 10.14 or later Where do I find this and how do I install it??

Answer #1:

By: Prof. Triston Rogahn

My Tax Software says it needs Mac OS 10.14 or later Where do I find this and how do I install it??

Answer #2:

By: Mark Casper

From your menu : About This Mac, keep in mind what you see in parenthesis on the product description line. Compare that date time frame for your model with the hardware requirements at How to get old versions of macOS. Use only the Safari browser to access that site, if you do not want issues with operating system downloads from the Mac App Store.



It is crucial that you perform one last Time Machine backup of your Mac before any upgrade, and that you reaffirm with your printer/scanner vendor sites that they still support their device on Mojave, as you will likely need to update the driver software.

Answer #3:

By: Judson Williamson

Answer #4:

By: Jaquelin Cummerata

From your menu : About This Mac, keep in mind what you see in parenthesis on the product description line. Compare that date time frame for your model with the hardware requirements at How to get old versions of macOS. Use only the Safari browser to access that site, if you do not want issues with operating system downloads from the Mac App Store.



It is crucial that you perform one last Time Machine backup of your Mac before any upgrade, and that you reaffirm with your printer/scanner vendor sites that they still support their device on Mojave, as you will likely need to update the driver software.